--- ./lib/vtls/openssl.c.old	2014-11-08 12:48:34.162629285 +0100
+++ ./lib/vtls/openssl.c	2014-11-08 12:49:42.001175881 +0100
@@ -1546,6 +1546,10 @@
     break;
 #endif
   case CURL_SSLVERSION_SSLv3:
+#ifdef OPENSSL_NO_SSL3
+    failf(data, "OpenSSL was built without SSLv3 support");
+    return CURLE_NOT_BUILT_IN;
+#else
 #ifdef USE_TLS_SRP
     if(data->set.ssl.authtype == CURL_TLSAUTH_SRP)
       return CURLE_SSL_CONNECT_ERROR;
@@ -1553,6 +1557,7 @@
     req_method = SSLv3_client_method();
     use_sni(FALSE);
     break;
+#endif
   }
 
   if(connssl->ctx)
